Bug 44008 - Installation fails with I/O error
Installation fails with I/O error
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.1
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-08 18:21 EDT by Robin Graham
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-11 21:42:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Graham 2001-06-08 18:21:38 EDT
Description of Problem: Trying to install 7.1 on a NEC 6260 Laptop
Pentium 266 MHz, with 96 MB RAM, 20x CD ROM, 5 GB HD.
Doing a custom installation with 1 GB Win95, 128 MB Swap rest /
Installing everything.  Installation proceeds fine until we get error 
message:
"The file 
...
cannot be opened.  This is due to a missing file, a bad package, or 
bad media. Press <return> to try again."

This happens everytime with repeated attempts using two different new
boxed set CD Roms (one of which has already been used to do a sucessful
installation on a different laptop).  Failure occurs at different places 
between 70 MB and 800 MB into the installation.

The laptop had been running RedHat 5.1 successfully for 3 years (VA
research: Varbook 90 installation).

Error messages from consol:

<7> ISO966 Extensions: RRIP_1991A
<4> Unable to identify CD-ROM format
.
(10 seemingly irrelevant lines)
.
<4> hdb:command error: status=0x51 {DriveReady SeekComplete Error}
<4> hdb:command error: error=0x51
<4> end_request: I/O error, dev 03:40 (hdb), sector 272


Spoke with support - they suggested a bugzilla report.

How Reproducible: Absolutely Perfectly 

Steps to Reproduce:
1. Boot Redhat 7.1 installation CD  
2. select custom install, 
3. begin installation - wait

Actual Results: Fails as above


Expected Results:  Successful installation: joy and happiness follow


Additional Information: Help please!
Comment 1 Brent Fox 2001-06-10 21:15:15 EDT
Can you try to boot the installer with 'linux ide=nodma'?  Does that help at all?
Comment 2 Robin Graham 2001-06-11 21:42:23 EDT
I finally managed an installation before getting bfox's suggestion.  I
eliminated all but the packages I know I'll need to get the installation size
down to 880MB and tried to install that.  It failed several times as expected
but at different points in the installation.  Eventually it managed to run long
enough to get the 880MB installed so at least I have a working system now.  I
don't want to wipe this out to try again.  I do not think the bug is fixed.
Comment 3 Brent Fox 2001-06-12 10:40:17 EDT
I think that this is another occurence of the DMA bug that has affected a bunch
of people.  I think that if you had done the install with 'linux ide=nodma' then
you would have avoided the problem.  

Basically, here's the deal.  The kernel tries to use DMA transfers if the
devices can support it.  Most drives that can't support DMA fall back to a lower
speed.  Some devices, however, don't fall back properly...they just work very
strangely (or not at all).  The kernel team is aware of the problem and has
assembled a list of devices not to use DMA transfers on.  Thanks for your bug
report.

Note You need to log in before you can comment on or make changes to this bug.